Subject: Re: LDAPsubentry

From: "Ed Reed" <[email-masked]>
Date: Thu, 18 Nov 1999 21:13:16 -0700

Hmmm...I made it structural, because that's how the X.500 subentry
is defined...I can see doing it either way.

Any reaction from the X.500 community?  Does it matter to you,
one way or the other?  To be clear, the draft specifies ldapSubEntry
to be STRUCTURAL, and Kurt's proposal is to make it ABSTRACT,
instead.

Ed

=================
Ed Reed
Reed-Matthews, Inc.
+1 801 785 0315
http://www.OnCallDBA.COM

>>> "Kurt D. Zeilenga" <[email-masked]> 11/18/99 10:42AM >>>
Forwarded to owning WG...

>To: [email-masked]
>From: "Kurt D. Zeilenga" <[email-masked]>
>Cc: [email-masked]
>
>I would like to see LDAP subentry be an abstract object class
>to which is then subclassed as necessary to provide structure
>(including naming attributes).
>
>As defined, LDAP subentry requires cn.  This may not be appropriate
>for LDAP subentries.   I suggest:
>
>( ldapSubEntryOID NAME 'ldapSubEntry'
>   DESC 'LDAP Subentry abstract class, version 1'
>     SUP top ABSTRACT )
>
>( cnSubEntryOID NAME 'cnSubEntry'
>   DESC 'CN LDAP Subentry class, version 1'
>     SUP ldapSubEntry STRUCTURAL
>     MUST ( cn ) )
>
>Your schema definition would then be split as appropriate between
>the abstract class and the structural class.
>
>Regards, Kurt
>
>
>